import { z } from 'zod';
export declare const deleteImageSchema: z.ZodObject<{
    id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
}, {
    id: string;
}>;
export declare const deleteImageResponseSchema: z.ZodObject<{
    id: z.ZodString;
    url: z.ZodOptional<z.ZodString>;
    title: z.ZodOptional<z.ZodString>;
    description: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    id: string;
    description?: string | undefined;
    url?: string | undefined;
    title?: string | undefined;
}, {
    id: string;
    description?: string | undefined;
    url?: string | undefined;
    title?: string | undefined;
}>;
declare const DeleteImageDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    id: string;
}, {
    id: string;
}>>;
export declare class DeleteImageDto extends DeleteImageDto_base {
}
export {};
