export declare const updateImageSchema: import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    url: import("zod").ZodOptional<import("zod").ZodString>;
    title: import("zod").ZodOptional<import("zod").ZodString>;
    description: import("zod").ZodOptional<import("zod").ZodString>;
}, "description" | "url" | "title">, "strip", import("zod").ZodTypeAny, {
    description?: string | undefined;
    url?: string | undefined;
    title?: string | undefined;
}, {
    description?: string | undefined;
    url?: string | undefined;
    title?: string | undefined;
}>;
declare const UpdateImageDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    description: import("zod").ZodOptional<import("zod").ZodString>;
    url: import("zod").ZodOptional<import("zod").ZodString>;
    title: import("zod").ZodOptional<import("zod").ZodString>;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    description?: string | undefined;
    url?: string | undefined;
    title?: string | undefined;
}, {
    description?: string | undefined;
    url?: string | undefined;
    title?: string | undefined;
}>>;
export declare class UpdateImageDto extends UpdateImageDto_base {
}
export declare const updateImageResponseSchema: import("zod").ZodObject<{
    id: import("zod").ZodString;
    url: import("zod").ZodOptional<import("zod").ZodString>;
    title: import("zod").ZodOptional<import("zod").ZodString>;
    description: import("zod").ZodOptional<import("zod").ZodString>;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
    description?: string | undefined;
    url?: string | undefined;
    title?: string | undefined;
}, {
    id: string;
    description?: string | undefined;
    url?: string | undefined;
    title?: string | undefined;
}>;
declare const UpdateImageResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    id: import("zod").ZodString;
    url: import("zod").ZodOptional<import("zod").ZodString>;
    title: import("zod").ZodOptional<import("zod").ZodString>;
    description: import("zod").ZodOptional<import("zod").ZodString>;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    id: string;
    description?: string | undefined;
    url?: string | undefined;
    title?: string | undefined;
}, {
    id: string;
    description?: string | undefined;
    url?: string | undefined;
    title?: string | undefined;
}>>;
export declare class UpdateImageResponseDto extends UpdateImageResponseDto_base {
}
export {};
