"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateImageResponseDto = exports.updateImageResponseSchema = exports.UpdateImageDto = exports.updateImageSchema = void 0;
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const image_dto_1 = require("./image.dto");
exports.updateImageSchema = image_dto_1.imageSchema.pick({
    url: true,
    title: true,
    description: true,
});
class UpdateImageDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.updateImageSchema) {
}
exports.UpdateImageDto = UpdateImageDto;
exports.updateImageResponseSchema = image_dto_1.imageSchema;
class UpdateImageResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.updateImageResponseSchema) {
}
exports.UpdateImageResponseDto = UpdateImageResponseDto;
//# sourceMappingURL=update-image.dto.js.map